SDHLibrary-CPP 0.0.2.10 C++ access library for SCHUNK Dextrous Hand SDH

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Functions | Variables

# demo/demo-contact-grasping.cpp File Reference
Demonstration programs

Simple script to do grasping using tactile sensor info feedback. See __help__ and online help ("-h" or "--help") for available options. More...

`#include <iostream>`
`#include <vector>`
`#include "sdh/sdh.h"`
`#include "sdh/util.h"`
`#include "sdh/sdhlibrary_settings.h"`
`#include "sdh/basisdef.h"`
`#include "sdh/dsa.h"`
`#include "sdhoptions.h"`
`#include "dsaboost.h"`
Include dependency graph for demo-contact-grasping.cpp:

## Functions
cDBG | cdbg (false,"red")
void | GotoStartPose (cSDH &hand, char const *msg)
void | AxisAnglesToFingerAngles (std::vector< double > aa, std::vector< double > &fa0, std::vector< double > &fa1, std::vector< double > &fa2)
int | main (int argc, char **argv)
## Variables
char const * | usage = "usage: demo-contact-grasping [options]\n"
Some informative variables
char const * | __help__ = " > demo-contact-grasping --port=2 --dsaport=3 -v\n"
char const * | __author__ = "Dirk Osswald: dirk.osswald@de.schunk.com"
char const * | __url__ = "http://www.schunk.com"
char const * | __version__ = "$Id: demo-contact-grasping.cpp 10894 2013-11-11 13:58:38Z Osswald2 $"
char const * | __copyright__ = "Copyright (c) 2007 SCHUNK GmbH & Co. KG"

## Detailed Description

Simple script to do grasping using tactile sensor info feedback. See __help__ and online help ("-h" or "--help") for available options.

## General file information

Author:
  Dirk Osswald

Date:
  2009-08-02

## Copyright

Copyright (c) 2007 SCHUNK GmbH & Co. KG

## Function Documentation

void AxisAnglesToFingerAngles | ( | std::vector< double > | aa,
|  | std::vector< double > & | fa0,
|  | std::vector< double > & | fa1,
|  | std::vector< double > & | fa2
| ) |  |

cDBG cdbg | ( | false | ,
|  | "red" |
| ) |  |

void GotoStartPose | ( | cSDH & | hand,
|  | char const * | msg
| ) |  |

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

finished:

## Variable Documentation

char const* __author__ = "Dirk Osswald: dirk.osswald@de.schunk.com"

char const* __copyright__ = "Copyright (c) 2007 SCHUNK GmbH & Co. KG"

char const* __help__ = " > demo-contact-grasping --port=2 --dsaport=3 -v\n"

char const* __url__ = "http://www.schunk.com"

char const* __version__ = "$Id: demo-contact-grasping.cpp 10894 2013-11-11 13:58:38Z Osswald2 $"

char const* usage = "usage: demo-contact-grasping [options]\n"